//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.12 at 09:36:31 PM CET 
//


package pl.adriankozlowski.jpk.file;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;


/**
 * <p>Java class for anonymous complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Naglowek" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaglowek"/>
 *         &lt;element name="Podmiot1">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="NIP" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrNIP"/>
 *                   &lt;element name="PelnaNazwa">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *                         &lt;maxLength value="240"/>
 *                         &lt;minLength value="1"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="Email" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TAdresEmail" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;sequence minOccurs="0">
 *           &lt;element name="SprzedazWiersz" maxOccurs="unbounded">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="LpSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
 *                     &lt;element name="NrKontrahenta" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrIdentyfikacjiPodatkowej"/>
 *                     &lt;element name="NazwaKontrahenta" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="AdresKontrahenta" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="DowodSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="DataWystawienia" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT"/>
 *                     &lt;element name="DataSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT" minOccurs="0"/>
 *                     &lt;element name="K_10" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_11" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_12" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_13" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_14" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_15" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_16" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_17" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_18" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_19" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_20" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;element name="K_21" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_22" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_23" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_24" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_25" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_26" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_27" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_28" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_29" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_30" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;element name="K_31" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_32" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_33" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_34" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_35" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;element name="K_36" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_37" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_38" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_39" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="SprzedazCtrl">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="LiczbaWierszySprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
 *                     &lt;element name="PodatekNalezny" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *         &lt;sequence minOccurs="0">
 *           &lt;element name="ZakupWiersz" maxOccurs="unbounded">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="LpZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
 *                     &lt;element name="NrDostawcy" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrIdentyfikacjiPodatkowej"/>
 *                     &lt;element name="NazwaDostawcy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="AdresDostawcy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="DowodZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
 *                     &lt;element name="DataZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT"/>
 *                     &lt;element name="DataWplywu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT" minOccurs="0"/>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_43" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_44" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;sequence minOccurs="0">
 *                       &lt;element name="K_45" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                       &lt;element name="K_46" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                     &lt;/sequence>
 *                     &lt;element name="K_47" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_48" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_49" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                     &lt;element name="K_50" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="ZakupCtrl">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="LiczbaWierszyZakupow" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
 *                     &lt;element name="PodatekNaliczony" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
        "naglowek",
        "podmiot1",
        "sprzedazWiersz",
        "sprzedazCtrl",
        "zakupWiersz",
        "zakupCtrl"
})
@XmlRootElement(name = "JPK", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
public class JPK {

    @XmlElement(name = "Naglowek", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
    protected TNaglowek naglowek;
    @XmlElement(name = "Podmiot1", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
    protected JPK.Podmiot1 podmiot1;
    @XmlElement(name = "SprzedazWiersz", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
    protected List<JPK.SprzedazWiersz> sprzedazWiersz;
    @XmlElement(name = "SprzedazCtrl", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
    protected JPK.SprzedazCtrl sprzedazCtrl;
    @XmlElement(name = "ZakupWiersz", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
    protected List<JPK.ZakupWiersz> zakupWiersz;
    @XmlElement(name = "ZakupCtrl", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
    protected JPK.ZakupCtrl zakupCtrl;

    /**
     * Gets the value of the naglowek property.
     *
     * @return possible object is
     * {@link TNaglowek }
     */
    public TNaglowek getNaglowek() {
        return naglowek;
    }

    /**
     * Sets the value of the naglowek property.
     *
     * @param value allowed object is
     *              {@link TNaglowek }
     */
    public void setNaglowek(TNaglowek value) {
        this.naglowek = value;
    }

    /**
     * Gets the value of the podmiot1 property.
     *
     * @return possible object is
     * {@link JPK.Podmiot1 }
     */
    public JPK.Podmiot1 getPodmiot1() {
        return podmiot1;
    }

    /**
     * Sets the value of the podmiot1 property.
     *
     * @param value allowed object is
     *              {@link JPK.Podmiot1 }
     */
    public void setPodmiot1(JPK.Podmiot1 value) {
        this.podmiot1 = value;
    }

    /**
     * Gets the value of the sprzedazWiersz property.
     * <p>
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sprzedazWiersz property.
     * <p>
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSprzedazWiersz().add(newItem);
     * </pre>
     * <p>
     * <p>
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JPK.SprzedazWiersz }
     */
    public List<JPK.SprzedazWiersz> getSprzedazWiersz() {
        if (sprzedazWiersz == null) {
            sprzedazWiersz = new ArrayList<JPK.SprzedazWiersz>();
        }
        return this.sprzedazWiersz;
    }

    /**
     * Gets the value of the sprzedazCtrl property.
     *
     * @return possible object is
     * {@link JPK.SprzedazCtrl }
     */
    public JPK.SprzedazCtrl getSprzedazCtrl() {
        return sprzedazCtrl;
    }

    /**
     * Sets the value of the sprzedazCtrl property.
     *
     * @param value allowed object is
     *              {@link JPK.SprzedazCtrl }
     */
    public void setSprzedazCtrl(JPK.SprzedazCtrl value) {
        this.sprzedazCtrl = value;
    }

    /**
     * Gets the value of the zakupWiersz property.
     * <p>
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the zakupWiersz property.
     * <p>
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getZakupWiersz().add(newItem);
     * </pre>
     * <p>
     * <p>
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JPK.ZakupWiersz }
     */
    public List<JPK.ZakupWiersz> getZakupWiersz() {
        if (zakupWiersz == null) {
            zakupWiersz = new ArrayList<JPK.ZakupWiersz>();
        }
        return this.zakupWiersz;
    }

    /**
     * Gets the value of the zakupCtrl property.
     *
     * @return possible object is
     * {@link JPK.ZakupCtrl }
     */
    public JPK.ZakupCtrl getZakupCtrl() {
        return zakupCtrl;
    }

    /**
     * Sets the value of the zakupCtrl property.
     *
     * @param value allowed object is
     *              {@link JPK.ZakupCtrl }
     */
    public void setZakupCtrl(JPK.ZakupCtrl value) {
        this.zakupCtrl = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="NIP" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrNIP"/>
     *         &lt;element name="PelnaNazwa">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
     *               &lt;maxLength value="240"/>
     *               &lt;minLength value="1"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="Email" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TAdresEmail" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "nip",
            "pelnaNazwa",
            "email"
    })
    public static class Podmiot1 {

        @XmlElement(name = "NIP", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        protected String nip;
        @XmlElement(name = "PelnaNazwa", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String pelnaNazwa;
        @XmlElement(name = "Email", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String email;

        /**
         * Gets the value of the nip property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getNIP() {
            return nip;
        }

        /**
         * Sets the value of the nip property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setNIP(String value) {
            this.nip = value;
        }

        /**
         * Gets the value of the pelnaNazwa property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getPelnaNazwa() {
            return pelnaNazwa;
        }

        /**
         * Sets the value of the pelnaNazwa property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setPelnaNazwa(String value) {
            this.pelnaNazwa = value;
        }

        /**
         * Gets the value of the email property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getEmail() {
            return email;
        }

        /**
         * Sets the value of the email property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setEmail(String value) {
            this.email = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="LiczbaWierszySprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
     *         &lt;element name="PodatekNalezny" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "liczbaWierszySprzedazy",
            "podatekNalezny"
    })
    public static class SprzedazCtrl {

        @XmlElement(name = "LiczbaWierszySprzedazy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger liczbaWierszySprzedazy;
        @XmlElement(name = "PodatekNalezny", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        protected BigDecimal podatekNalezny;

        /**
         * Gets the value of the liczbaWierszySprzedazy property.
         *
         * @return possible object is
         * {@link BigInteger }
         */
        public BigInteger getLiczbaWierszySprzedazy() {
            return liczbaWierszySprzedazy;
        }

        /**
         * Sets the value of the liczbaWierszySprzedazy property.
         *
         * @param value allowed object is
         *              {@link BigInteger }
         */
        public void setLiczbaWierszySprzedazy(BigInteger value) {
            this.liczbaWierszySprzedazy = value;
        }

        /**
         * Gets the value of the podatekNalezny property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getPodatekNalezny() {
            return podatekNalezny;
        }

        /**
         * Sets the value of the podatekNalezny property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setPodatekNalezny(BigDecimal value) {
            this.podatekNalezny = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="LpSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
     *         &lt;element name="NrKontrahenta" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrIdentyfikacjiPodatkowej"/>
     *         &lt;element name="NazwaKontrahenta" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="AdresKontrahenta" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="DowodSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="DataWystawienia" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT"/>
     *         &lt;element name="DataSprzedazy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT" minOccurs="0"/>
     *         &lt;element name="K_10" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_11" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_12" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_13" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_14" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_15" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_16" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_17" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_18" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_19" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_20" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;element name="K_21" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_22" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_23" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_24" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_25" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_26" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_27" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_28" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_29" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_30" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;element name="K_31" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_32" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_33" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_34" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_35" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;element name="K_36" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_37" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_38" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_39" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "lpSprzedazy",
            "nrKontrahenta",
            "nazwaKontrahenta",
            "adresKontrahenta",
            "dowodSprzedazy",
            "dataWystawienia",
            "dataSprzedazy",
            "k10",
            "k11",
            "k12",
            "k13",
            "k14",
            "k15",
            "k16",
            "k17",
            "k18",
            "k19",
            "k20",
            "k21",
            "k22",
            "k23",
            "k24",
            "k25",
            "k26",
            "k27",
            "k28",
            "k29",
            "k30",
            "k31",
            "k32",
            "k33",
            "k34",
            "k35",
            "k36",
            "k37",
            "k38",
            "k39"
    })
    public static class SprzedazWiersz {

        @XmlElement(name = "LpSprzedazy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger lpSprzedazy;
        @XmlElement(name = "NrKontrahenta", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        protected String nrKontrahenta;
        @XmlElement(name = "NazwaKontrahenta", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String nazwaKontrahenta;
        @XmlElement(name = "AdresKontrahenta", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String adresKontrahenta;
        @XmlElement(name = "DowodSprzedazy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String dowodSprzedazy;
        @XmlElement(name = "DataWystawienia", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar dataWystawienia;
        @XmlElement(name = "DataSprzedazy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar dataSprzedazy;
        @XmlElement(name = "K_10", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k10;
        @XmlElement(name = "K_11", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k11;
        @XmlElement(name = "K_12", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k12;
        @XmlElement(name = "K_13", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k13;
        @XmlElement(name = "K_14", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k14;
        @XmlElement(name = "K_15", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k15;
        @XmlElement(name = "K_16", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k16;
        @XmlElement(name = "K_17", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k17;
        @XmlElement(name = "K_18", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k18;
        @XmlElement(name = "K_19", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k19;
        @XmlElement(name = "K_20", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k20;
        @XmlElement(name = "K_21", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k21;
        @XmlElement(name = "K_22", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k22;
        @XmlElement(name = "K_23", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k23;
        @XmlElement(name = "K_24", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k24;
        @XmlElement(name = "K_25", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k25;
        @XmlElement(name = "K_26", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k26;
        @XmlElement(name = "K_27", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k27;
        @XmlElement(name = "K_28", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k28;
        @XmlElement(name = "K_29", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k29;
        @XmlElement(name = "K_30", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k30;
        @XmlElement(name = "K_31", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k31;
        @XmlElement(name = "K_32", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k32;
        @XmlElement(name = "K_33", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k33;
        @XmlElement(name = "K_34", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k34;
        @XmlElement(name = "K_35", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k35;
        @XmlElement(name = "K_36", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k36;
        @XmlElement(name = "K_37", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k37;
        @XmlElement(name = "K_38", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k38;
        @XmlElement(name = "K_39", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k39;

        /**
         * Gets the value of the lpSprzedazy property.
         *
         * @return possible object is
         * {@link BigInteger }
         */
        public BigInteger getLpSprzedazy() {
            return lpSprzedazy;
        }

        /**
         * Sets the value of the lpSprzedazy property.
         *
         * @param value allowed object is
         *              {@link BigInteger }
         */
        public void setLpSprzedazy(BigInteger value) {
            this.lpSprzedazy = value;
        }

        /**
         * Gets the value of the nrKontrahenta property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getNrKontrahenta() {
            return nrKontrahenta;
        }

        /**
         * Sets the value of the nrKontrahenta property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setNrKontrahenta(String value) {
            this.nrKontrahenta = value;
        }

        /**
         * Gets the value of the nazwaKontrahenta property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getNazwaKontrahenta() {
            return nazwaKontrahenta;
        }

        /**
         * Sets the value of the nazwaKontrahenta property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setNazwaKontrahenta(String value) {
            this.nazwaKontrahenta = value;
        }

        /**
         * Gets the value of the adresKontrahenta property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getAdresKontrahenta() {
            return adresKontrahenta;
        }

        /**
         * Sets the value of the adresKontrahenta property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setAdresKontrahenta(String value) {
            this.adresKontrahenta = value;
        }

        /**
         * Gets the value of the dowodSprzedazy property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getDowodSprzedazy() {
            return dowodSprzedazy;
        }

        /**
         * Sets the value of the dowodSprzedazy property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setDowodSprzedazy(String value) {
            this.dowodSprzedazy = value;
        }

        /**
         * Gets the value of the dataWystawienia property.
         *
         * @return possible object is
         * {@link XMLGregorianCalendar }
         */
        public XMLGregorianCalendar getDataWystawienia() {
            return dataWystawienia;
        }

        /**
         * Sets the value of the dataWystawienia property.
         *
         * @param value allowed object is
         *              {@link XMLGregorianCalendar }
         */
        public void setDataWystawienia(XMLGregorianCalendar value) {
            this.dataWystawienia = value;
        }

        /**
         * Gets the value of the dataSprzedazy property.
         *
         * @return possible object is
         * {@link XMLGregorianCalendar }
         */
        public XMLGregorianCalendar getDataSprzedazy() {
            return dataSprzedazy;
        }

        /**
         * Sets the value of the dataSprzedazy property.
         *
         * @param value allowed object is
         *              {@link XMLGregorianCalendar }
         */
        public void setDataSprzedazy(XMLGregorianCalendar value) {
            this.dataSprzedazy = value;
        }

        /**
         * Gets the value of the k10 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK10() {
            return k10;
        }

        /**
         * Sets the value of the k10 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK10(BigDecimal value) {
            this.k10 = value;
        }

        /**
         * Gets the value of the k11 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK11() {
            return k11;
        }

        /**
         * Sets the value of the k11 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK11(BigDecimal value) {
            this.k11 = value;
        }

        /**
         * Gets the value of the k12 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK12() {
            return k12;
        }

        /**
         * Sets the value of the k12 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK12(BigDecimal value) {
            this.k12 = value;
        }

        /**
         * Gets the value of the k13 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK13() {
            return k13;
        }

        /**
         * Sets the value of the k13 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK13(BigDecimal value) {
            this.k13 = value;
        }

        /**
         * Gets the value of the k14 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK14() {
            return k14;
        }

        /**
         * Sets the value of the k14 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK14(BigDecimal value) {
            this.k14 = value;
        }

        /**
         * Gets the value of the k15 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK15() {
            return k15;
        }

        /**
         * Sets the value of the k15 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK15(BigDecimal value) {
            this.k15 = value;
        }

        /**
         * Gets the value of the k16 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK16() {
            return k16;
        }

        /**
         * Sets the value of the k16 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK16(BigDecimal value) {
            this.k16 = value;
        }

        /**
         * Gets the value of the k17 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK17() {
            return k17;
        }

        /**
         * Sets the value of the k17 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK17(BigDecimal value) {
            this.k17 = value;
        }

        /**
         * Gets the value of the k18 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK18() {
            return k18;
        }

        /**
         * Sets the value of the k18 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK18(BigDecimal value) {
            this.k18 = value;
        }

        /**
         * Gets the value of the k19 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK19() {
            return k19;
        }

        /**
         * Sets the value of the k19 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK19(BigDecimal value) {
            this.k19 = value;
        }

        /**
         * Gets the value of the k20 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK20() {
            return k20;
        }

        /**
         * Sets the value of the k20 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK20(BigDecimal value) {
            this.k20 = value;
        }

        /**
         * Gets the value of the k21 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK21() {
            return k21;
        }

        /**
         * Sets the value of the k21 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK21(BigDecimal value) {
            this.k21 = value;
        }

        /**
         * Gets the value of the k22 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK22() {
            return k22;
        }

        /**
         * Sets the value of the k22 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK22(BigDecimal value) {
            this.k22 = value;
        }

        /**
         * Gets the value of the k23 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK23() {
            return k23;
        }

        /**
         * Sets the value of the k23 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK23(BigDecimal value) {
            this.k23 = value;
        }

        /**
         * Gets the value of the k24 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK24() {
            return k24;
        }

        /**
         * Sets the value of the k24 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK24(BigDecimal value) {
            this.k24 = value;
        }

        /**
         * Gets the value of the k25 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK25() {
            return k25;
        }

        /**
         * Sets the value of the k25 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK25(BigDecimal value) {
            this.k25 = value;
        }

        /**
         * Gets the value of the k26 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK26() {
            return k26;
        }

        /**
         * Sets the value of the k26 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK26(BigDecimal value) {
            this.k26 = value;
        }

        /**
         * Gets the value of the k27 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK27() {
            return k27;
        }

        /**
         * Sets the value of the k27 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK27(BigDecimal value) {
            this.k27 = value;
        }

        /**
         * Gets the value of the k28 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK28() {
            return k28;
        }

        /**
         * Sets the value of the k28 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK28(BigDecimal value) {
            this.k28 = value;
        }

        /**
         * Gets the value of the k29 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK29() {
            return k29;
        }

        /**
         * Sets the value of the k29 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK29(BigDecimal value) {
            this.k29 = value;
        }

        /**
         * Gets the value of the k30 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK30() {
            return k30;
        }

        /**
         * Sets the value of the k30 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK30(BigDecimal value) {
            this.k30 = value;
        }

        /**
         * Gets the value of the k31 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK31() {
            return k31;
        }

        /**
         * Sets the value of the k31 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK31(BigDecimal value) {
            this.k31 = value;
        }

        /**
         * Gets the value of the k32 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK32() {
            return k32;
        }

        /**
         * Sets the value of the k32 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK32(BigDecimal value) {
            this.k32 = value;
        }

        /**
         * Gets the value of the k33 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK33() {
            return k33;
        }

        /**
         * Sets the value of the k33 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK33(BigDecimal value) {
            this.k33 = value;
        }

        /**
         * Gets the value of the k34 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK34() {
            return k34;
        }

        /**
         * Sets the value of the k34 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK34(BigDecimal value) {
            this.k34 = value;
        }

        /**
         * Gets the value of the k35 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK35() {
            return k35;
        }

        /**
         * Sets the value of the k35 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK35(BigDecimal value) {
            this.k35 = value;
        }

        /**
         * Gets the value of the k36 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK36() {
            return k36;
        }

        /**
         * Sets the value of the k36 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK36(BigDecimal value) {
            this.k36 = value;
        }

        /**
         * Gets the value of the k37 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK37() {
            return k37;
        }

        /**
         * Sets the value of the k37 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK37(BigDecimal value) {
            this.k37 = value;
        }

        /**
         * Gets the value of the k38 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK38() {
            return k38;
        }

        /**
         * Sets the value of the k38 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK38(BigDecimal value) {
            this.k38 = value;
        }

        /**
         * Gets the value of the k39 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK39() {
            return k39;
        }

        /**
         * Sets the value of the k39 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK39(BigDecimal value) {
            this.k39 = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="LiczbaWierszyZakupow" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
     *         &lt;element name="PodatekNaliczony" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "liczbaWierszyZakupow",
            "podatekNaliczony"
    })
    public static class ZakupCtrl {

        @XmlElement(name = "LiczbaWierszyZakupow", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger liczbaWierszyZakupow;
        @XmlElement(name = "PodatekNaliczony", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        protected BigDecimal podatekNaliczony;

        /**
         * Gets the value of the liczbaWierszyZakupow property.
         *
         * @return possible object is
         * {@link BigInteger }
         */
        public BigInteger getLiczbaWierszyZakupow() {
            return liczbaWierszyZakupow;
        }

        /**
         * Sets the value of the liczbaWierszyZakupow property.
         *
         * @param value allowed object is
         *              {@link BigInteger }
         */
        public void setLiczbaWierszyZakupow(BigInteger value) {
            this.liczbaWierszyZakupow = value;
        }

        /**
         * Gets the value of the podatekNaliczony property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getPodatekNaliczony() {
            return podatekNaliczony;
        }

        /**
         * Sets the value of the podatekNaliczony property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setPodatekNaliczony(BigDecimal value) {
            this.podatekNaliczony = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="LpZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TNaturalnyJPK"/>
     *         &lt;element name="NrDostawcy" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrIdentyfikacjiPodatkowej"/>
     *         &lt;element name="NazwaDostawcy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="AdresDostawcy" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="DowodZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TZnakowyJPK"/>
     *         &lt;element name="DataZakupu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT"/>
     *         &lt;element name="DataWplywu" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TDataT" minOccurs="0"/>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_43" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_44" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;sequence minOccurs="0">
     *           &lt;element name="K_45" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *           &lt;element name="K_46" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy"/>
     *         &lt;/sequence>
     *         &lt;element name="K_47" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_48" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_49" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *         &lt;element name="K_50" type="{http://jpk.mf.gov.pl/wzor/2017/10/12/1012/}TKwotowy" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "lpZakupu",
            "nrDostawcy",
            "nazwaDostawcy",
            "adresDostawcy",
            "dowodZakupu",
            "dataZakupu",
            "dataWplywu",
            "k43",
            "k44",
            "k45",
            "k46",
            "k47",
            "k48",
            "k49",
            "k50"
    })
    public static class ZakupWiersz {

        @XmlElement(name = "LpZakupu", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "nonNegativeInteger")
        protected BigInteger lpZakupu;
        @XmlElement(name = "NrDostawcy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        protected String nrDostawcy;
        @XmlElement(name = "NazwaDostawcy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String nazwaDostawcy;
        @XmlElement(name = "AdresDostawcy", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String adresDostawcy;
        @XmlElement(name = "DowodZakupu", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String dowodZakupu;
        @XmlElement(name = "DataZakupu", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/", required = true)
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar dataZakupu;
        @XmlElement(name = "DataWplywu", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar dataWplywu;
        @XmlElement(name = "K_43", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k43;
        @XmlElement(name = "K_44", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k44;
        @XmlElement(name = "K_45", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k45;
        @XmlElement(name = "K_46", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k46;
        @XmlElement(name = "K_47", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k47;
        @XmlElement(name = "K_48", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k48;
        @XmlElement(name = "K_49", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k49;
        @XmlElement(name = "K_50", namespace = "http://jpk.mf.gov.pl/wzor/2017/10/12/1012/")
        protected BigDecimal k50;

        /**
         * Gets the value of the lpZakupu property.
         *
         * @return possible object is
         * {@link BigInteger }
         */
        public BigInteger getLpZakupu() {
            return lpZakupu;
        }

        /**
         * Sets the value of the lpZakupu property.
         *
         * @param value allowed object is
         *              {@link BigInteger }
         */
        public void setLpZakupu(BigInteger value) {
            this.lpZakupu = value;
        }

        /**
         * Gets the value of the nrDostawcy property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getNrDostawcy() {
            return nrDostawcy;
        }

        /**
         * Sets the value of the nrDostawcy property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setNrDostawcy(String value) {
            this.nrDostawcy = value;
        }

        /**
         * Gets the value of the nazwaDostawcy property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getNazwaDostawcy() {
            return nazwaDostawcy;
        }

        /**
         * Sets the value of the nazwaDostawcy property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setNazwaDostawcy(String value) {
            this.nazwaDostawcy = value;
        }

        /**
         * Gets the value of the adresDostawcy property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getAdresDostawcy() {
            return adresDostawcy;
        }

        /**
         * Sets the value of the adresDostawcy property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setAdresDostawcy(String value) {
            this.adresDostawcy = value;
        }

        /**
         * Gets the value of the dowodZakupu property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getDowodZakupu() {
            return dowodZakupu;
        }

        /**
         * Sets the value of the dowodZakupu property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setDowodZakupu(String value) {
            this.dowodZakupu = value;
        }

        /**
         * Gets the value of the dataZakupu property.
         *
         * @return possible object is
         * {@link XMLGregorianCalendar }
         */
        public XMLGregorianCalendar getDataZakupu() {
            return dataZakupu;
        }

        /**
         * Sets the value of the dataZakupu property.
         *
         * @param value allowed object is
         *              {@link XMLGregorianCalendar }
         */
        public void setDataZakupu(XMLGregorianCalendar value) {
            this.dataZakupu = value;
        }

        /**
         * Gets the value of the dataWplywu property.
         *
         * @return possible object is
         * {@link XMLGregorianCalendar }
         */
        public XMLGregorianCalendar getDataWplywu() {
            return dataWplywu;
        }

        /**
         * Sets the value of the dataWplywu property.
         *
         * @param value allowed object is
         *              {@link XMLGregorianCalendar }
         */
        public void setDataWplywu(XMLGregorianCalendar value) {
            this.dataWplywu = value;
        }

        /**
         * Gets the value of the k43 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK43() {
            return k43;
        }

        /**
         * Sets the value of the k43 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK43(BigDecimal value) {
            this.k43 = value;
        }

        /**
         * Gets the value of the k44 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK44() {
            return k44;
        }

        /**
         * Sets the value of the k44 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK44(BigDecimal value) {
            this.k44 = value;
        }

        /**
         * Gets the value of the k45 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK45() {
            return k45;
        }

        /**
         * Sets the value of the k45 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK45(BigDecimal value) {
            this.k45 = value;
        }

        /**
         * Gets the value of the k46 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK46() {
            return k46;
        }

        /**
         * Sets the value of the k46 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK46(BigDecimal value) {
            this.k46 = value;
        }

        /**
         * Gets the value of the k47 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK47() {
            return k47;
        }

        /**
         * Sets the value of the k47 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK47(BigDecimal value) {
            this.k47 = value;
        }

        /**
         * Gets the value of the k48 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK48() {
            return k48;
        }

        /**
         * Sets the value of the k48 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK48(BigDecimal value) {
            this.k48 = value;
        }

        /**
         * Gets the value of the k49 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK49() {
            return k49;
        }

        /**
         * Sets the value of the k49 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK49(BigDecimal value) {
            this.k49 = value;
        }

        /**
         * Gets the value of the k50 property.
         *
         * @return possible object is
         * {@link BigDecimal }
         */
        public BigDecimal getK50() {
            return k50;
        }

        /**
         * Sets the value of the k50 property.
         *
         * @param value allowed object is
         *              {@link BigDecimal }
         */
        public void setK50(BigDecimal value) {
            this.k50 = value;
        }

    }

}
